{% macro render(page, menuId) %}
    {% import _self as macros %}
    {% set urlNewWithParent = ea_url()
        .setController('BadgerCMS\\UI\\Controller\\Admin\\MenuCrudController')
        .setAction('new')
        .set('parent_id', page.id)
    %}
    {% set urlEdit = ea_url()
        .setController('BadgerCMS\\UI\\Controller\\Admin\\MenuCrudController')
        .setAction('edit')
        .set('entityId', page.id)
    %}
    <li class="list-group-item row nested-{{ page.lvl }} {{ page.children is not defined ? 'empty' : '' }}"
        data-id="{{ page.id }}">
        {{ page.title }} - {% if page.page is defined %}{{ page.page }}{% endif%} <a href="{{ urlEdit }}">[e]</a> <a href="{{ urlNewWithParent }}">[+]</a>
          {#   <div class="row ignore-elements">
                <div class="col-sm ignore-elements"></div>
                <div class="col-sm ignore-elements">
                    <a href="{{ path('admin_dashboard', {menuId: menuId, parentId: page.id}) }}"
                       data-toggle="tooltip"
                       data-placement="top" title="Dodaj podstronę"
                       class="btn btn-link btn-sm ignore-elements">
                        <i class="material-icons">add</i>
                    </a>
                    <a href="{{ path('admin_dashboard', {menuId: menuId, pageId: page.id}) }}"
                       data-toggle="tooltip"
                       data-placement="top" title="Edytuj"
                       class="btn btn-link btn-sm ignore-elements">
                        <i class="material-icons">edit</i>
                    </a>
                    <a href="{{ path('admin_dashboard', {menuId: menuId, pageId: page.id}) }}"
                       data-type="confirm"
                       data-toggle="tooltip" data-placement="top" title="Usuń"
                       class="btn btn-link btn-sm ignore-elements">
                        <i class="material-icons">delete</i>
                    </a>
                </div>


        </div>#}
        <ul class="list-group nested-sortable">
            {% if page.children is defined and page.children|length > 0 %}
                {% for p in page.children %}
                    {{ macros.render(p, menuId) }}
                {% endfor %}
            {% endif %}
        </ul>
    </li>
{% endmacro %}
